# == Schema Information
#
# Table name: categories
#
#  id         :integer          not null, primary key
#  name       :string
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  contest_id :integer          not null
#
# Indexes
#
#  index_categories_on_contest_id  (contest_id)
#
# Foreign Keys
#
#  contest_id  (contest_id => contests.id)
#
class Category < ApplicationRecord
  belongs_to :contest
  has_and_belongs_to_many :contestants

  validates :name, presence: true
end
